CVE-2010-2064

NameCVE-2010-2064
Descriptionrpcbind 0.2.0 allows local users to write to arbitrary files or gain privileges via a symlink attack on (1) /tmp/portmap.xdr and (2) /tmp/rpcbind.xdr.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
rpcbind (PTS)jessie (security), jessie0.2.1-6+deb8u2fixed
stretch0.2.3-0.6fixed
buster1.2.5-0.3+deb10u1fixed
bullseye, sid1.2.5-8fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
rpcbindsource(unstable)0.2.0-4.1

Notes

This version changed the state directory to /var/run/rpcbind, which is only writable by root

Search for package or bug name: Reporting problems